- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Variables
Available eeze sensor events
Sensor | Eeze

Sensor events that are emitted from the library as ecore eventsEvent types used to register ecore_event_handler on. More...

## Variables
EAPI int | EEZE_SENSOR_EVENT_ACCELEROMETER
EAPI int | EEZE_SENSOR_EVENT_GRAVITY
EAPI int | EEZE_SENSOR_EVENT_LINEAR_ACCELERATION
EAPI int | EEZE_SENSOR_EVENT_DEVICE_ORIENTATION
EAPI int | EEZE_SENSOR_EVENT_MAGNETIC
EAPI int | EEZE_SENSOR_EVENT_ORIENTATION
EAPI int | EEZE_SENSOR_EVENT_GYROSCOPE
EAPI int | EEZE_SENSOR_EVENT_LIGHT
EAPI int | EEZE_SENSOR_EVENT_PROXIMITY
EAPI int | EEZE_SENSOR_EVENT_SNAP
EAPI int | EEZE_SENSOR_EVENT_SHAKE
EAPI int | EEZE_SENSOR_EVENT_DOUBLETAP
EAPI int | EEZE_SENSOR_EVENT_PANNING
EAPI int | EEZE_SENSOR_EVENT_PANNING_BROWSE
EAPI int | EEZE_SENSOR_EVENT_TILT
EAPI int | EEZE_SENSOR_EVENT_FACEDOWN
EAPI int | EEZE_SENSOR_EVENT_DIRECT_CALL
EAPI int | EEZE_SENSOR_EVENT_SMART_ALERT
EAPI int | EEZE_SENSOR_EVENT_NO_MOVE
EAPI int | EEZE_SENSOR_EVENT_BAROMETER
EAPI int | EEZE_SENSOR_EVENT_TEMPERATURE

## Detailed Description

Sensor events that are emitted from the library as ecore events

Event types used to register ecore_event_handler on.

These events are used for eeze_sensor_async_read to deliver read out data. It is also used for generated events like facedown or shake. Subscribing to these events in your application allowsyou to react on these changes in an efficient way without polling for new updates and wasting power and computing cycles.

Since
  1.8